<img src="https://github.com/u2i/sidesplit/blob/master/sidesplit.jpg" align="right" />

# Sidesplit

This gem allows you to define multiple retries exhausted callbacks

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'sidesplit'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install sidesplit

## Usage

```ruby
require 'sidekiq'
require 'sidesplit'

class Worker
  include Sidekiq::Worker
  include Sidesplit
  
  sidesplit_retries_exhausted do |msg, e|
    # do something
  end
  
  sidesplit_retries_exhausted do |msg, e|
    # do something else
  end
end
```

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
